magics++ (4.5.0-1) unstable; urgency=medium

  * New usptream release
  * Move Vcs-Git to point to debian/latest branch
  * Update d/gpb.conf to show use of DEP-14 branches
  * Enable EFAS coastlines, Disable ODB (deprecated)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Oct 2020 15:57:59 +0100

magics++ (4.4.1-1) unstable; urgency=medium

  * New upstream release
  * Enable dh_dwz
  * Use debhelper level 13
  * Use subst vars rather than autogenerated dh files
  * Add files to d/not-installed as necessary

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Aug 2020 14:30:52 +0100

magics++ (4.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 30 Jun 2020 10:29:43 +0100

magics++ (4.3.3-2) unstable; urgency=medium

  * ttf-fonts-* now fonts-dejavu-*. Closes: #961286

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 22 May 2020 23:57:10 +0100

magics++ (4.3.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 18 Apr 2020 08:19:23 +0100

magics++ (4.3.1-1) unstable; urgency=medium

  * New upstream release
  * Depend on libodb-api-dev (>= 0.18.1-11)

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 09 Apr 2020 08:51:29 +0100

magics++ (4.3.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.5.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 14 Mar 2020 11:15:52 +0000

magics++ (4.2.6-1) unstable; urgency=medium

  * New upstream release
  * Drop Makefile that tries a docker image build from git
  * Add patch to handle ++ signs in pkgconfig path during build
  * Drop old empty patches from d/patches

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 31 Jan 2020 12:23:11 +0000

magics++ (4.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 29 Nov 2019 12:41:17 +0000

magics++ (4.2.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.4.1.0
  * -dev pkg depends on python3 , not python3-all-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 05 Oct 2019 06:50:31 +0100

magics++ (4.1.3-1) unstable; urgency=medium

  * New upstream release
  * Use ecbuild rather than cmake directly

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 07 Sep 2019 08:27:46 +0100

magics++ (4.1.2-2) unstable; urgency=medium

  [ Alastair McKinstry ] 
  * Fix cmake files needed for metview

  [ Gianfranco Costamagna ]
  * Add python3-all-dev runtime dependency, it is needed by reverse-deps
    (libpython-X-Ym.so is used and exposed outside). Closes: #934064
  * add dependency for libmagics++-dev to libmagics++-metview-dev
    LP: #1566061

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 07 Aug 2019 12:04:41 +0100

magics++ (4.1.2-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.4.0
  * Use debhelper-compat (= 12)
  * Drop numpy (used in Build), PYTHON references in d/rules
  * Update pkgconfig.patch
  * Update paths to cmake edits in d/rules
  * Update eccodes B-D to 2.13.0-3

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Aug 2019 17:10:02 +0100

magics++ (4.0.3-1) unstable; urgency=medium

  * New upstream release
  * Remove python support. Will be in a separate package
  * Make libmagics++-dev python scripts python3 (python3 patch)
  * Standards-Version: 4.3.0
  * Build-Depend on gfortran | fortran-compiler
  * Add ACCEPT_USE_OF_DEPRECATED_PROJ_API_H to CFLAGS, CXXFLAGS for Proj 6.0.0
    transition
  * Delete all .DS_Store files
  * Debhelper 12
  * Override and bypass dwz in this build

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 15 Jun 2019 12:09:27 +0100

magics++ (3.3.1-1) unstable; urgency=medium

  * New upstream release
  * Sanitize build path for magics*cmake scripts in -dev pkg

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 20 Dec 2018 10:09:33 +0000

magics++ (3.2.2-2) unstable; urgency=medium

  * Rebuild against eccodes (>= 2.9.2-3) to avoid eccodes_memfs

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Nov 2018 12:35:27 +0000

magics++ (3.2.2-1) unstable; urgency=medium

  * New upstream release
  * Fix path on metgram script to /usr/bin/perl
  * Drop unused lintian-overrides

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Nov 2018 12:37:43 +0000

magics++ (3.2.1-2) unstable; urgency=medium

  * Team upload
  * Fixup VCS fields
  * Add python3:Depends to -dev package, and runtime python development
    packages:
    - cmake files are currently needing python libraries

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 Nov 2018 14:45:44 +0100

magics++ (3.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Oct 2018 07:10:33 +0100

magics++ (3.2.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.2.1
  * Drop hard-coded xz compression
  * Drop option of building with obsolete grib-api (eccodes only)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Oct 2018 07:41:11 +0100

magics++ (3.1.0-2) unstable; urgency=medium

  * Standards-Version: 4.1.5
  * Change HAVE_ODB -> ENABLE_ODB in cmake rules
  * Update URLs in debian/watch
  * Add python3-all-dev for python3.7 transition

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 Jul 2018 17:07:02 +0100

magics++ (3.1.0-1) unstable; urgency=medium

  * New upstream release
  * Cmake dependency >= 3.1

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 03 Jul 2018 11:30:24 +0100

magics++ (3.0.4-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.4

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 May 2018 13:09:58 +0100

magics++ (3.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 Apr 2018 06:38:09 +0100

magics++ (3.0.2-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete --parallel for dh 

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 17 Mar 2018 07:58:25 +0000

magics++ (3.0.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.3; no changes required
  * Move the Vcs over to salsa.debian.org
  * Remove obsolete patches from source:
    - numpy_fix.patch
    - python3 patch
    - python-type-fix.patch
  * Add lintian-overrides for erroneous missing-source reports
  * Add Apache NOTICE file to libmagics++-dev.docs

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Mar 2018 12:32:13 +0000

magics++ (3.0.0-1) unstable; urgency=medium

  * New upstream release 
   - Update unique_ptr.patch
   - python3 changes now upstream
   - python*-jinja2 dependendencies now needed
  * S-V: 4.1.2; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Jan 2018 12:18:22 +0000

magics++ (2.34.3-6) unstable; urgency=medium

  * Fix typo in control file. Closes: #881577

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 20 Nov 2017 15:29:03 +0000

magics++ (2.34.3-5) unstable; urgency=medium

  * libmagics++-dev now depends on libodb-api-dev. Closes: #881577

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 13 Nov 2017 08:52:41 +0000

magics++ (2.34.3-4) unstable; urgency=medium

  * Require odb-api >= 0.17..4 for renamed odb executable.
    Closes: #881180

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 12 Nov 2017 06:44:02 +0000

magics++ (2.34.3-3) unstable; urgency=medium

  * Build using odb-api.
  * Change references in cmake files from libgfortran.so.3 to so.4

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 07 Nov 2017 18:04:23 +0000

magics++ (2.34.3-2) unstable; urgency=medium

  * Drop B-D on transitional libhdf5-serial-dev. Closes: #879142 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 20 Oct 2017 10:44:25 +0100

magics++ (2.34.3-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.1

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 03 Oct 2017 13:38:33 +0100

magics++ (2.34.1-2) unstable; urgency=medium

  * Dont use use g++-6; g++-7 now works and is default. Closes: #871361
  * Rebuild against g++-7, add tight mkshlibs deps. Closes: #871304

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Aug 2017 12:56:05 +0100

magics++ (2.34.1-1) unstable; urgency=medium

  * New upstream release
  * Add debian/gbp.conf

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 Jul 2017 15:23:37 +0100

magics++ (2.34.0-1) unstable; urgency=medium

  * New upstream release
  * Add watch file

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 02 Jul 2017 08:59:31 +0100

magics++ (2.33.0-1) unstable; urgency=medium

  * New upstream release
  * Patch needed for xml2mv.py type error
  * Standards-Version: 4.0.0., no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 20 Jun 2017 10:24:32 +0100

magics++ (2.32.0-3) experimental; urgency=medium

  * Depend on python3-dev, not -all-dev. Closes: #863003

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 18 May 2017 03:02:39 +0100

magics++ (2.32.0-2) experimental; urgency=medium

  * Fixes to python3; Closes: #858949
  * Silence HAVE_GEOTIFF dup warnings.
  * Delete ./src/boost in rules to ensure boost pkg is used
  * Allow build with libboost-dev | libboost1.63-dev for testing

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 25 Apr 2017 11:44:09 +0100

magics++ (2.32.0-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 Mar 2017 16:04:05 +0000

magics++ (2.31.0-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Feb 2017 10:54:08 +0000

magics++ (2.30.0-4) unstable; urgency=medium

  * Update python3 patch. Closes: #847193
  * Drop grib_api from CMAKE_PREFIX_PATH in debian/rules

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 07 Dec 2016 15:13:17 +0000

magics++ (2.30.0-3) unstable; urgency=medium

  * Ensure dep. on libopenjp2-7-dev present. Closes: #846920

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Dec 2016 06:42:10 +0000

magics++ (2.30.0-2) unstable; urgency=medium

  * libemos-bin node a build-dependency. Closes: #846505

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 Dec 2016 06:37:27 +0000

magics++ (2.30.0-1) unstable; urgency=medium

  * New upstream release
  * Build-dep against eccodes not grib-api
  * Split dh_fixperms-arch for FTBFS on dpkg-buildpackage -A.
    Closes: #846092
  * debian/rules: now need to specify geotiff location

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 28 Nov 2016 15:18:58 +0000

magics++ (2.29.6-2) unstable; urgency=medium

  * Convert ksh scripts to bash

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 Nov 2016 23:47:11 +0000

magics++ (2.29.6-1) unstable; urgency=medium

  * New upstream release
  * DH_COMPAT, debhelper 10

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Nov 2016 18:07:25 +0000

magics++ (2.29.2-1) unstable; urgency=medium

  * New upstream release
   - compile_fixes.patch merged upstream
   - g++-6.patch merged upstream
  * Fix python3 support: indentation errors in macro.py. Closes: #827850.
  * Loosen the libemos-dev depends, to allow backports
  * Set LC_ALL=C during build to aid reproducibility
  * Undo g++ changes for now. Closes: #830467.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 08 Jul 2016 22:28:12 +0100

magics++ (2.28.0-4) unstable; urgency=medium

  * Add missing license information to debian/copyright;
    thanks to Thorsten Alteholz.
  * Add Python3 support.
  * Update numpy.i from numpy.git for python3

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 14 Jun 2016 08:57:36 +0100

magics++ (2.28.0-3) unstable; urgency=medium

  * Remove obsolete openjpeg dependencies. Closes: #826820
  * g++6, unique_ptr compilation fixes

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 09 Jun 2016 15:05:00 +0100

magics++ (2.28.0-2) unstable; urgency=medium

  * Standards-Version: 3.9.8
  * Fix incorrect libgfortran path shipped in cmake files.	

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 25 May 2016 17:46:52 +0100

magics++ (2.28.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches:
    - compile-fixes.patch: fixed upstream

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Mar 2016 07:44:16 +0000

magics++ (2.26.2-3) unstable; urgency=medium

  * Build against openjpeg, not jasper, as jasper is being dropped
    from Debian (long-dead, insecure).
  * Link against grib-api >= 1.14.5-2 to pick up its jasper change.
  * Standards-Version: 3.9.7

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Feb 2016 09:42:13 +0000

magics++ (2.26.2-2) unstable; urgency=medium

  * Depend on libgrib-api-dev >= 1.14.4-5 to pull in its
    Build-dependencies.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Jan 2016 06:58:14 +0000

magics++ (2.26.2-1) unstable; urgency=medium

  * New upstream release.
  * Patches merged upstream / obsoleted:
    magics-config.patch
    qt5.patch
    cve-2010-3393.patch
    grib-cmake.patch
  * reproducibility: set LC_ALL=C.UTF-8 when sorting in build
  * B-D on libgrib-api-dev >= 1.14.4-2 for cmake config files.
  * B-D on libaec-dev now needed for this, too
  * Enable GEOTIFF support
  * Enable tests
  * Enable parallel builds.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 10 Jan 2016 02:01:33 +0000

magics++ (2.24.7-7) unstable; urgency=medium

  * ABI transition needed for libstdc++ v5, to libmagplusv5. Closes: #797981.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 06 Sep 2015 08:07:24 +0100

magics++ (2.24.7-6) unstable; urgency=medium

  * Add dependency on libnetcdf-cxx-legacy-dev.
  * Replace B-D libgd2-dev -> libgd-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 14 Aug 2015 09:53:25 +0100

magics++ (2.24.7-5) unstable; urgency=medium

  * Rebuild against libterralib3 for terralib, g++5 transitions.
  * Undo the netcdf transition for the moment
  * Move Qt4 -> Qt5

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Aug 2015 13:28:04 +0100

magics++ (2.24.7-4) experimental; urgency=medium

  * Build against new netcdf (4.4.0). Closes: #793882.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 28 Jul 2015 13:32:09 +0100

magics++ (2.24.7-3) experimental; urgency=medium

  * Build against new netcdf (4.4.0). Closes: #793882.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 28 Jul 2015 13:32:09 +0100

magics++ (2.24.7-2) unstable; urgency=medium

  * Drop timestamps from headers. Closes: #792824. 
  * Add magics++ to dependencies for libmagics++-dev, add metgramx etc
    as required by magics-config.cmake for metview
  * Undo fixes from debian/rules for previously broken builds in 2.24.4
  * Move cmake files to /usr/lib/$ARCH/cmake as arch-dependent,
    and adjust paths in cmake files vi debian/rules

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 22 Jul 2015 19:36:10 +0100

magics++ (2.24.7-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 Jul 2015 08:55:06 +0100

magics++ (2.24.4-2) experimental; urgency=medium

  * Test Build against netcdf 4.4.3 in experimental 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 15 Jul 2015 16:48:32 +0100

magics++ (2.24.4-1) unstable; urgency=medium

  * libMagPlusQt no longer built in upstream
  * Move to unstable 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 09 Jul 2015 06:50:35 +0100

magics++ (2.24.4-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.6
  * emoslib now builds on mips, so remove exception for its dependency
  * Move to cmake-based build. Update patches
  * Add Vcs-Git, pointing to debian-science repo.
  * Uses libgt for build. Closes: #767747.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 24 Jun 2015 18:34:53 +0100

magics++ (2.22.7.dfsg.1-4) unstable; urgency=medium

  * Build -fPIC for mipsel. Closes: #766832
        
 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 30 Oct 2014 19:17:49 +0000

magics++ (2.22.7.dfsg.1-3) unstable; urgency=medium

  * Ship all header files in /usr/include/magics.
  * Fix arch-dependent stuff in magics-config, which breaks  multiarch.
  Pull from magics.pc instead. Closes: #732621.
  * Include HAVE_* definitions in extra flags passed to Cmake so that
  magics_config matches 2.8.15 version needed for metview.
  Closes: #765524.
  * Disable qt5 for the moment.
  * Enable MAGICS_TIFF. Add libtiff-dev to dependencies.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 15 Oct 2014 12:19:12 +0100

magics++ (2.22.7.dfsg.1-2) unstable; urgency=medium

  * Disable OS Check so we build Hurd, kFreeBSD.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 05 Oct 2014 12:44:43 +0100

magics++ (2.22.7.dfsg.1-1) unstable; urgency=medium

  * New upstream release. Build using cmake not configure.
    Closes: #677210.
  * DFSG version as  .bin files removed (unnecessary).
  * Now use xz compression.
  * grib-api now works on mips, so drop conditional depenency on not using
   emos/grib-api on mips. Closes: #756591.
  * Drop unnecessary dependency on python3-all-dev until python3 is supported.
   Closes: #750599.
  * Build against Qt5
  * Add ksh depends for magics++ (magjson script)
  * Add versioned soname for libmagplus.so.3.0.0
  * Add drop-gen-dates.patch to drop dates in autogenerated header files;
    creates false positives in diff-detection scripts.  Closes: #731621.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 16 Sep 2014 01:32:56 +0100

magics++ (2.18.15-6) unstable; urgency=medium

  * Add dependency on libterralib-dev to libmagics++-dev. Change references
    to Terralib headers that ship in Debian rather than local ones (not included). 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 23 Feb 2014 21:02:05 +0000

magics++ (2.18.15-5) unstable; urgency=medium

  * Build-Depend on libq4-dev. No longer use libmotif-dev.
    Closes: #723526, #732328.
  * Change libmagics++-metview-dev to section: libdevel,
    default to science; python-* to python

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 16 Dec 2013 18:39:56 +0000

magics++ (2.18.15-4) unstable; urgency=medium

  * Fix hardening rules: disable PIE as it breaks python shlibs.
  * Add --enable-metview to support MetView.
  * Add libmagics++-metview-dev to provide libs needed by MetView only.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 12 Dec 2013 11:57:36 +0000

magics++ (2.18.15-3) unstable; urgency=medium

  * Update Homepage.
  * Standards-Version: 3.9.5 
  * Set python-magics++ as utils, not python to match overrides

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 08 Dec 2013 07:05:29 +0000

magics++ (2.18.15-2) unstable; urgency=low

  * Don't use emoslib on mips: emoslib needs grib-api, not available there.
  * Now use --enable-opengl as we have real motif in Debian.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 03 Sep 2013 18:34:14 +0100

magics++ (2.18.15-1) unstable; urgency=low

  * New upstream release.
  * Transition B-D: libgd2-xpm-dev -> libgd2-dev
  * Standards-Version: 3.9.4
  * Depend on debhelper >=9.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 22 May 2013 06:14:19 +0100

magics++ (2.18.7-2) unstable; urgency=low

  * libproj-dev is now a requirement, not optional. Include it.
    Closes: #695963. 
  * Enable hardening.
  * Don't ship empty dir /usr/share/magics in -dev package.
  * -data package is now M-A: foreign to satisfy m-a dependencies.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 18 Dec 2012 11:54:23 +0000

magics++ (2.18.7-1) unstable; urgency=low

  * New upstream release.
  * Now at Standards-Version: 3.9.4
  * Patch from Michael Terry for Ubuntu to delete bogus symlinks when 
    building.
  * Remove --with-terralib as no longer understood by configure;
    MAGPLUS_HOME needs to be set when configure run
  * python-magics++ now depends on python-simplejson

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Dec 2012 06:22:47 +0000

magics++ (2.14.11-4) unstable; urgency=low

  * Rebuild to fix gcc-4.7 issue. Closes: #646734 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Jun 2012 12:32:31 +0100

magics++ (2.14.11-3) unstable; urgency=low

  * Don't forget libdir. read it from pkg-config too. Closes: #674472. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 08 Jun 2012 13:31:18 +0100

magics++ (2.14.11-2) unstable; urgency=low

  * Make magics-config use pkg-config to retrieve arch-dependent variables,
    for multi-arch support. Closes: #674472. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Jun 2012 16:13:01 +0100

magics++ (2.14.11-1) unstable; urgency=low

  * Standards-Version: 3.9.3. No changes required.
  * New upstream release.
  * Fixes for gcc-4.7. Closes: #673885.
  * Now need python-instant for numpy.i, which is no longer shipped in the
    swig/ directory.
  * Now use xz compression.
  * Make "./debian rules clean" actually work.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 May 2012 17:42:33 +0100

magics++ (2.14.5-2) unstable; urgency=low

  * boostlib > 1.32 needs libboost-dev dependency to build. 
  Closes: #653298. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Jan 2012 13:05:35 +0000

magics++ (2.14.5-1) unstable; urgency=low

  * New upstream release.
  * Fix typo in homepage description. Closes: #571529. 
  * Fix FTBFS in as-needed patch which no longer applied correctly.
    Closes: #650453.
  * Remove patches to Makefile.in, now its autogenerated. Just patch
    Makefile.am.
  * Move python-magics++ into Section: python from utils
  
 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 21 Dec 2011 15:03:16 +0000

magics++ (2.12.9-5) unstable; urgency=low

  * Recommends: pkg-config in -dev package.
  * Rebuild against new libgrib-api-dev. 
  * Change section: for python-magics to utils, to match overrides. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 20 Oct 2011 10:40:35 +0100

magics++ (2.12.9-4) unstable; urgency=low

  * Add "-lz" to the LIBS to ensure its linked in correctly, adding zlib1-dev
   to the B-D to ensure it is present. 
  * Move libMagPlusSingle.a into /usr/lib/${DEB_HOST_MULTIARCH}/ dir
    Closes: #642446.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 24 Sep 2011 15:05:00 +0100

magics++ (2.12.9-3) unstable; urgency=low

  * Add as-needed.patch to ltmain.sh to fix -Wl,--as-needed issues 
  * Add LIBS=" -lX11 -lpng12" to configure line to link directly libraries that
    are needed. 
  * Disable test: layout_test fails on some platforms, but only within the 
    Make check context; debugging in progress, but fix FTBFS for python 
    transition. Details in README-testfailures.txt in debian/

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Sep 2011 13:45:47 +0100

magics++ (2.12.9-2) unstable; urgency=low

  * Allow building against libhdf5-dev, not just libhdf5-serial-dev. 
  * Add DEP-3 tags to patches
  * Loop over and include support for all supported python versions.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 10 Sep 2011 11:18:22 +0100

magics++ (2.12.9-1) unstable; urgency=low

  * New upstream release.
  * Test: layout_test breaks unless ulimit -s 8192 is set beforehand
     in the debian/rules. Why?

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 08 Jul 2011 17:16:45 +0100

magics++ (2.12.8.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Move build system from cdbs to debhelper 7
  * Move from python-support to dhpython2
  * Depend on libopenjpeg-dev, for grib-api functionality. 
  * Move to Standards-Version: 3.9.2 
  * Build against libterralib3-dev, was libterralib1-dev. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 18 Jun 2011 17:27:27 +0100

magics++ (2.10.0.dfsg-7) unstable; urgency=low

  * Depend on ${python:Depends}. Closes: #609197. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 11 Jan 2011 21:01:37 +0000

magics++ (2.10.0.dfsg-6) unstable; urgency=low

  * FTBFS with python2.7. Patch from Sameer Morar. Closes: #608788.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Jan 2011 11:25:40 +0000

magics++ (2.10.0.dfsg-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches
    - (cve-2010-3393--bug598418): Refresh patch. Restore deleted line
      'python="@MAGICS_PYTHON@"' and adjust $ldlib.
      (important, security, reopened; Closes: #598418).

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 24 Oct 2010 19:20:57 +0300

magics++ (2.10.0.dfsg-5) unstable; urgency=low

  * CVE-2010-3393: Fix LD_LIBRARY_PATH edit. Closes: #598418. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 29 Sep 2010 12:43:09 +0100

magics++ (2.10.0.dfsg-4) unstable; urgency=low

  * Explicitly add dh_pysupport call to triger update-python-modules in
    postinst, prerm files. Also, move *.so files in python-magics++.install to 
    /usr/lib/pymodules so that they are found and acted upon. Closes: #592422. 
  * Added python-magics++ to Section: python as recommended by lintian.
  * Added clean rule to delete symlinks, so double-builds succeed.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 11 Aug 2010 10:07:21 +0100

magics++ (2.10.0.dfsg-3) unstable; urgency=low

  * Build-Depend on python-numpy as well. Closes: #590951. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 30 Jul 2010 17:40:23 +0100

magics++ (2.10.0.dfsg-2) unstable; urgency=low

  * Add python support package python-magics++:
    * Add build-depends on python-all-dev, swig, python-support
    * Temporararily disable tests, as python tests have paths trouble.
    * Remove rpath with chrpath
  * Standrds-Version: 3.9.1

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 28 Jul 2010 01:02:07 +0100

magics++ (2.10.0.dfsg-1) unstable; urgency=low

  * New Upstream release
   - DFSG version has terralib and pdfs removed.
  * Move to Standards-Version: 3.9.0

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 21 Jul 2010 08:19:15 +0100

magics++ (2.8.0.dfsg-5) unstable; urgency=low

  * Typo in homepage URL. Closes: #571529.
  * Move to Standards-Version: 3.8.4, no changes required. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Feb 2010 11:43:35 +0000

magics++ (2.8.0.dfsg-4) unstable; urgency=low

  * Build-Dep: libxml-parser-perl and python for tests.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Jan 2010 12:46:27 +0000

magics++ (2.8.0.dfsg-3) unstable; urgency=low

  * Add Build-Depends: libtool. 
  * Set MAGPLUS_HOME in debian/rules so that tests run, and add gfortran 
    dependency for fortran tests, Add Build-Dep on ttf-dejavu-core for testing.
  * Disable printer_test as it requires a data file thats missing. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 06 Jan 2010 21:30:31 +0000

magics++ (2.8.0.dfsg-2) unstable; urgency=low

  * Patch: enable static libs in configure.ac. Closes: #562120. 
  * Add dynamic_linking.patch to link libs to libMagPlus directly rather
    than just magmlx, and remove libs via --as-needed.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 23 Dec 2009 09:33:38 +0000

magics++ (2.8.0.dfsg-1) unstable; urgency=low

  * New upstream release. 
  * Add libjasper dependency for grib-api. Add Closes: #562040.
  * Added libcairo2-dev, libpango1.0-dev build dependencies now needed.
  * Removed dependency on quilt ; now source format 3.0, so dpkg handles
   this. 
  * EpsBufr.patch now in upstream; removed

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Dec 2009 11:26:27 +0000

magics++ (2.6.4~dfsg-1) unstable; urgency=low

  * Initial Debian release. Closes: #522984.
  * Removed pdfs, making dfsg-free version.
  * Removed terralib from sources; now use external terralib library, for
    licensing reasons. 
  * Change version number to ~ before upload, so non-dfsg can go away if 
    PDF sources issue solved.
  * Move to Standards-Version: 3.8.3
  * DH_COMPAT is now 7. 
  * Moved shared data to libmagics++-data.
  * Build against libgrib-api, libemos-dev now in unstable.
  * libmagics++ depends on ttf-dejavu-* fonts rather than includes them;
  * Build-depend on libhdf5-serial-dev rather than virtual libhdf5-dev
  * Removed ttf fonts. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 06 Nov 2009 19:54:22 +0000
